require 'open3'

module RCM
  module_function :cmd

  def cmd(command)
    stdin, stdout, stderr, wait_thr = Open3.popen3(command)
    output = stdout.gets(nil)
    stdout.close
    errors = stderr.gets(nil)
    stderr.close
    exit_code = Integer(wait_thr.value)

    {
      exit_code: exit_code,
      output: output,
      errors: errors
    }

  end
end
